1. Packages
  2. Packages
  3. Nutanix
  4. API Docs
  5. getCertificatesV2
Viewing docs for Nutanix v0.13.0
published on Tuesday, Apr 28, 2026 by Piers Karsenbarg
nutanix logo
Viewing docs for Nutanix v0.13.0
published on Tuesday, Apr 28, 2026 by Piers Karsenbarg

    Get a list of the SSL certificates which can be used to access an Object store.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as nutanix from "@pierskarsenbarg/nutanix";
    
    const example = nutanix.getCertificatesV2({
        objectStoreExtId: "ac91151a-28b4-4ffe-b150-6bcb2ec80cd4",
    });
    
    import pulumi
    import pulumi_nutanix as nutanix
    
    example = nutanix.get_certificates_v2(object_store_ext_id="ac91151a-28b4-4ffe-b150-6bcb2ec80cd4")
    
    package main
    
    import (
    	"github.com/pierskarsenbarg/pulumi-nutanix/sdk/go/nutanix"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := nutanix.GetCertificatesV2(ctx, &nutanix.GetCertificatesV2Args{
    			ObjectStoreExtId: "ac91151a-28b4-4ffe-b150-6bcb2ec80cd4",
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Nutanix = PiersKarsenbarg.Nutanix;
    
    return await Deployment.RunAsync(() => 
    {
        var example = Nutanix.Index.GetCertificatesV2.Invoke(new()
        {
            ObjectStoreExtId = "ac91151a-28b4-4ffe-b150-6bcb2ec80cd4",
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.nutanix.NutanixFunctions;
    import com.pulumi.nutanix.inputs.GetCertificatesV2Args;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var example = NutanixFunctions.getCertificatesV2(GetCertificatesV2Args.builder()
                .objectStoreExtId("ac91151a-28b4-4ffe-b150-6bcb2ec80cd4")
                .build());
    
        }
    }
    
    variables:
      example:
        fn::invoke:
          function: nutanix:getCertificatesV2
          arguments:
            objectStoreExtId: ac91151a-28b4-4ffe-b150-6bcb2ec80cd4
    

    Using getCertificatesV2

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getCertificatesV2(args: GetCertificatesV2Args, opts?: InvokeOptions): Promise<GetCertificatesV2Result>
    function getCertificatesV2Output(args: GetCertificatesV2OutputArgs, opts?: InvokeOptions): Output<GetCertificatesV2Result>
    def get_certificates_v2(filter: Optional[str] = None,
                            limit: Optional[int] = None,
                            object_store_ext_id: Optional[str] = None,
                            page: Optional[int] = None,
                            select: Optional[str] = None,
                            opts: Optional[InvokeOptions] = None) -> GetCertificatesV2Result
    def get_certificates_v2_output(filter: pulumi.Input[Optional[str]] = None,
                            limit: pulumi.Input[Optional[int]] = None,
                            object_store_ext_id: pulumi.Input[Optional[str]] = None,
                            page: pulumi.Input[Optional[int]] = None,
                            select: pulumi.Input[Optional[str]] = None,
                            opts: Optional[InvokeOptions] = None) -> Output[GetCertificatesV2Result]
    func GetCertificatesV2(ctx *Context, args *GetCertificatesV2Args, opts ...InvokeOption) (*GetCertificatesV2Result, error)
    func GetCertificatesV2Output(ctx *Context, args *GetCertificatesV2OutputArgs, opts ...InvokeOption) GetCertificatesV2ResultOutput

    > Note: This function is named GetCertificatesV2 in the Go SDK.

    public static class GetCertificatesV2 
    {
        public static Task<GetCertificatesV2Result> InvokeAsync(GetCertificatesV2Args args, InvokeOptions? opts = null)
        public static Output<GetCertificatesV2Result> Invoke(GetCertificatesV2InvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetCertificatesV2Result> getCertificatesV2(GetCertificatesV2Args args, InvokeOptions options)
    public static Output<GetCertificatesV2Result> getCertificatesV2(GetCertificatesV2Args args, InvokeOptions options)
    
    fn::invoke:
      function: nutanix:index/getCertificatesV2:getCertificatesV2
      arguments:
        # arguments dictionary

    The following arguments are supported:

    ObjectStoreExtId string
    -(Required) The UUID of the Object store.
    Filter string
    -(Optional) A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • alternateFqdns/value
    • alternateIps/ipv4/value
    Limit int
    -(Optional) A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set. Default value is 50.
    Page int
    -(Optional) A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results. Default value is 0.
    Select string
    -(Optional) URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned.

    • alternateFqdns
    • alternateFqdns/value
    • alternateIps
    • alternateIps/ipv4/value
    ObjectStoreExtId string
    -(Required) The UUID of the Object store.
    Filter string
    -(Optional) A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • alternateFqdns/value
    • alternateIps/ipv4/value
    Limit int
    -(Optional) A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set. Default value is 50.
    Page int
    -(Optional) A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results. Default value is 0.
    Select string
    -(Optional) URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned.

    • alternateFqdns
    • alternateFqdns/value
    • alternateIps
    • alternateIps/ipv4/value
    objectStoreExtId String
    -(Required) The UUID of the Object store.
    filter String
    -(Optional) A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • alternateFqdns/value
    • alternateIps/ipv4/value
    limit Integer
    -(Optional) A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set. Default value is 50.
    page Integer
    -(Optional) A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results. Default value is 0.
    select String
    -(Optional) URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned.

    • alternateFqdns
    • alternateFqdns/value
    • alternateIps
    • alternateIps/ipv4/value
    objectStoreExtId string
    -(Required) The UUID of the Object store.
    filter string
    -(Optional) A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • alternateFqdns/value
    • alternateIps/ipv4/value
    limit number
    -(Optional) A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set. Default value is 50.
    page number
    -(Optional) A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results. Default value is 0.
    select string
    -(Optional) URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned.

    • alternateFqdns
    • alternateFqdns/value
    • alternateIps
    • alternateIps/ipv4/value
    object_store_ext_id str
    -(Required) The UUID of the Object store.
    filter str
    -(Optional) A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • alternateFqdns/value
    • alternateIps/ipv4/value
    limit int
    -(Optional) A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set. Default value is 50.
    page int
    -(Optional) A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results. Default value is 0.
    select str
    -(Optional) URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned.

    • alternateFqdns
    • alternateFqdns/value
    • alternateIps
    • alternateIps/ipv4/value
    objectStoreExtId String
    -(Required) The UUID of the Object store.
    filter String
    -(Optional) A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • alternateFqdns/value
    • alternateIps/ipv4/value
    limit Number
    -(Optional) A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set. Default value is 50.
    page Number
    -(Optional) A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results. Default value is 0.
    select String
    -(Optional) URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned.

    • alternateFqdns
    • alternateFqdns/value
    • alternateIps
    • alternateIps/ipv4/value

    getCertificatesV2 Result

    The following output properties are available:

    Certificates List<PiersKarsenbarg.Nutanix.Outputs.GetCertificatesV2Certificate>
    • list of the SSL certificates which can be used to access an Object store.
    Id string
    The provider-assigned unique ID for this managed resource.
    ObjectStoreExtId string
    Filter string
    Limit int
    Page int
    Select string
    Certificates []GetCertificatesV2Certificate
    • list of the SSL certificates which can be used to access an Object store.
    Id string
    The provider-assigned unique ID for this managed resource.
    ObjectStoreExtId string
    Filter string
    Limit int
    Page int
    Select string
    certificates List<GetCertificatesV2Certificate>
    • list of the SSL certificates which can be used to access an Object store.
    id String
    The provider-assigned unique ID for this managed resource.
    objectStoreExtId String
    filter String
    limit Integer
    page Integer
    select String
    certificates GetCertificatesV2Certificate[]
    • list of the SSL certificates which can be used to access an Object store.
    id string
    The provider-assigned unique ID for this managed resource.
    objectStoreExtId string
    filter string
    limit number
    page number
    select string
    certificates Sequence[GetCertificatesV2Certificate]
    • list of the SSL certificates which can be used to access an Object store.
    id str
    The provider-assigned unique ID for this managed resource.
    object_store_ext_id str
    filter str
    limit int
    page int
    select str
    certificates List<Property Map>
    • list of the SSL certificates which can be used to access an Object store.
    id String
    The provider-assigned unique ID for this managed resource.
    objectStoreExtId String
    filter String
    limit Number
    page Number
    select String

    Supporting Types

    GetCertificatesV2Certificate

    AlternateFqdns List<PiersKarsenbarg.Nutanix.Inputs.GetCertificatesV2CertificateAlternateFqdn>
    • The list of alternate FQDNs for accessing the Object store. The FQDNs must consist of at least 2 parts separated by a '.'. Each part can contain upper and lower case letters, digits, hyphens or underscores but must begin and end with a letter. Each part can be up to 63 characters long. For e.g 'objects-0.pc_nutanix.com'.
    AlternateIps List<PiersKarsenbarg.Nutanix.Inputs.GetCertificatesV2CertificateAlternateIp>
    • A list of the IPs included as Subject Alternative Names (SANs) in the certificate. The IPs must be among the public IPs of the Object store (publicNetworkIps).
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    Links List<PiersKarsenbarg.Nutanix.Inputs.GetCertificatesV2CertificateLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    Metadatas List<PiersKarsenbarg.Nutanix.Inputs.GetCertificatesV2CertificateMetadata>
    • Metadata associated with this resource.
    ObjectStoreExtId string
    -(Required) The UUID of the Object store.
    TenantId string
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    AlternateFqdns []GetCertificatesV2CertificateAlternateFqdn
    • The list of alternate FQDNs for accessing the Object store. The FQDNs must consist of at least 2 parts separated by a '.'. Each part can contain upper and lower case letters, digits, hyphens or underscores but must begin and end with a letter. Each part can be up to 63 characters long. For e.g 'objects-0.pc_nutanix.com'.
    AlternateIps []GetCertificatesV2CertificateAlternateIp
    • A list of the IPs included as Subject Alternative Names (SANs) in the certificate. The IPs must be among the public IPs of the Object store (publicNetworkIps).
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    Links []GetCertificatesV2CertificateLink
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    Metadatas []GetCertificatesV2CertificateMetadata
    • Metadata associated with this resource.
    ObjectStoreExtId string
    -(Required) The UUID of the Object store.
    TenantId string
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    alternateFqdns List<GetCertificatesV2CertificateAlternateFqdn>
    • The list of alternate FQDNs for accessing the Object store. The FQDNs must consist of at least 2 parts separated by a '.'. Each part can contain upper and lower case letters, digits, hyphens or underscores but must begin and end with a letter. Each part can be up to 63 characters long. For e.g 'objects-0.pc_nutanix.com'.
    alternateIps List<GetCertificatesV2CertificateAlternateIp>
    • A list of the IPs included as Subject Alternative Names (SANs) in the certificate. The IPs must be among the public IPs of the Object store (publicNetworkIps).
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    links List<GetCertificatesV2CertificateLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    metadatas List<GetCertificatesV2CertificateMetadata>
    • Metadata associated with this resource.
    objectStoreExtId String
    -(Required) The UUID of the Object store.
    tenantId String
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    alternateFqdns GetCertificatesV2CertificateAlternateFqdn[]
    • The list of alternate FQDNs for accessing the Object store. The FQDNs must consist of at least 2 parts separated by a '.'. Each part can contain upper and lower case letters, digits, hyphens or underscores but must begin and end with a letter. Each part can be up to 63 characters long. For e.g 'objects-0.pc_nutanix.com'.
    alternateIps GetCertificatesV2CertificateAlternateIp[]
    • A list of the IPs included as Subject Alternative Names (SANs) in the certificate. The IPs must be among the public IPs of the Object store (publicNetworkIps).
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    links GetCertificatesV2CertificateLink[]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    metadatas GetCertificatesV2CertificateMetadata[]
    • Metadata associated with this resource.
    objectStoreExtId string
    -(Required) The UUID of the Object store.
    tenantId string
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    alternate_fqdns Sequence[GetCertificatesV2CertificateAlternateFqdn]
    • The list of alternate FQDNs for accessing the Object store. The FQDNs must consist of at least 2 parts separated by a '.'. Each part can contain upper and lower case letters, digits, hyphens or underscores but must begin and end with a letter. Each part can be up to 63 characters long. For e.g 'objects-0.pc_nutanix.com'.
    alternate_ips Sequence[GetCertificatesV2CertificateAlternateIp]
    • A list of the IPs included as Subject Alternative Names (SANs) in the certificate. The IPs must be among the public IPs of the Object store (publicNetworkIps).
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    links Sequence[GetCertificatesV2CertificateLink]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    metadatas Sequence[GetCertificatesV2CertificateMetadata]
    • Metadata associated with this resource.
    object_store_ext_id str
    -(Required) The UUID of the Object store.
    tenant_id str
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    alternateFqdns List<Property Map>
    • The list of alternate FQDNs for accessing the Object store. The FQDNs must consist of at least 2 parts separated by a '.'. Each part can contain upper and lower case letters, digits, hyphens or underscores but must begin and end with a letter. Each part can be up to 63 characters long. For e.g 'objects-0.pc_nutanix.com'.
    alternateIps List<Property Map>
    • A list of the IPs included as Subject Alternative Names (SANs) in the certificate. The IPs must be among the public IPs of the Object store (publicNetworkIps).
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    links List<Property Map>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    metadatas List<Property Map>
    • Metadata associated with this resource.
    objectStoreExtId String
    -(Required) The UUID of the Object store.
    tenantId String
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).

    GetCertificatesV2CertificateAlternateFqdn

    Value string
    • The IPv4/IPv6 address of the host.
    Value string
    • The IPv4/IPv6 address of the host.
    value String
    • The IPv4/IPv6 address of the host.
    value string
    • The IPv4/IPv6 address of the host.
    value str
    • The IPv4/IPv6 address of the host.
    value String
    • The IPv4/IPv6 address of the host.

    GetCertificatesV2CertificateAlternateIp

    Ipv4 PiersKarsenbarg.Nutanix.Inputs.GetCertificatesV2CertificateAlternateIpIpv4
    An unique address that identifies a device on the internet or a local network in IPv4 format.
    Ipv6 PiersKarsenbarg.Nutanix.Inputs.GetCertificatesV2CertificateAlternateIpIpv6
    An unique address that identifies a device on the internet or a local network in IPv6 format.
    Ipv4 GetCertificatesV2CertificateAlternateIpIpv4
    An unique address that identifies a device on the internet or a local network in IPv4 format.
    Ipv6 GetCertificatesV2CertificateAlternateIpIpv6
    An unique address that identifies a device on the internet or a local network in IPv6 format.
    ipv4 GetCertificatesV2CertificateAlternateIpIpv4
    An unique address that identifies a device on the internet or a local network in IPv4 format.
    ipv6 GetCertificatesV2CertificateAlternateIpIpv6
    An unique address that identifies a device on the internet or a local network in IPv6 format.
    ipv4 GetCertificatesV2CertificateAlternateIpIpv4
    An unique address that identifies a device on the internet or a local network in IPv4 format.
    ipv6 GetCertificatesV2CertificateAlternateIpIpv6
    An unique address that identifies a device on the internet or a local network in IPv6 format.
    ipv4 GetCertificatesV2CertificateAlternateIpIpv4
    An unique address that identifies a device on the internet or a local network in IPv4 format.
    ipv6 GetCertificatesV2CertificateAlternateIpIpv6
    An unique address that identifies a device on the internet or a local network in IPv6 format.
    ipv4 Property Map
    An unique address that identifies a device on the internet or a local network in IPv4 format.
    ipv6 Property Map
    An unique address that identifies a device on the internet or a local network in IPv6 format.

    GetCertificatesV2CertificateAlternateIpIpv4

    Value string
    • The IPv4/IPv6 address of the host.
    PrefixLength int
    • The prefix length of the network to which this host IPv4 address belongs. Default for IPv4 is 32 and for IPv6 is 128.
    Value string
    • The IPv4/IPv6 address of the host.
    PrefixLength int
    • The prefix length of the network to which this host IPv4 address belongs. Default for IPv4 is 32 and for IPv6 is 128.
    value String
    • The IPv4/IPv6 address of the host.
    prefixLength Integer
    • The prefix length of the network to which this host IPv4 address belongs. Default for IPv4 is 32 and for IPv6 is 128.
    value string
    • The IPv4/IPv6 address of the host.
    prefixLength number
    • The prefix length of the network to which this host IPv4 address belongs. Default for IPv4 is 32 and for IPv6 is 128.
    value str
    • The IPv4/IPv6 address of the host.
    prefix_length int
    • The prefix length of the network to which this host IPv4 address belongs. Default for IPv4 is 32 and for IPv6 is 128.
    value String
    • The IPv4/IPv6 address of the host.
    prefixLength Number
    • The prefix length of the network to which this host IPv4 address belongs. Default for IPv4 is 32 and for IPv6 is 128.

    GetCertificatesV2CertificateAlternateIpIpv6

    Value string
    • The IPv4/IPv6 address of the host.
    PrefixLength int
    • The prefix length of the network to which this host IPv4 address belongs. Default for IPv4 is 32 and for IPv6 is 128.
    Value string
    • The IPv4/IPv6 address of the host.
    PrefixLength int
    • The prefix length of the network to which this host IPv4 address belongs. Default for IPv4 is 32 and for IPv6 is 128.
    value String
    • The IPv4/IPv6 address of the host.
    prefixLength Integer
    • The prefix length of the network to which this host IPv4 address belongs. Default for IPv4 is 32 and for IPv6 is 128.
    value string
    • The IPv4/IPv6 address of the host.
    prefixLength number
    • The prefix length of the network to which this host IPv4 address belongs. Default for IPv4 is 32 and for IPv6 is 128.
    value str
    • The IPv4/IPv6 address of the host.
    prefix_length int
    • The prefix length of the network to which this host IPv4 address belongs. Default for IPv4 is 32 and for IPv6 is 128.
    value String
    • The IPv4/IPv6 address of the host.
    prefixLength Number
    • The prefix length of the network to which this host IPv4 address belongs. Default for IPv4 is 32 and for IPv6 is 128.
    Href string
    • The URL at which the entity described by the link can be accessed.
    Rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    Href string
    • The URL at which the entity described by the link can be accessed.
    Rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href String
    • The URL at which the entity described by the link can be accessed.
    rel String
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href string
    • The URL at which the entity described by the link can be accessed.
    rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href str
    • The URL at which the entity described by the link can be accessed.
    rel str
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href String
    • The URL at which the entity described by the link can be accessed.
    rel String
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.

    GetCertificatesV2CertificateMetadata

    CategoryIds List<string>
    • A list of globally unique identifiers that represent all the categories the resource is associated with.
    OwnerReferenceId string
    • A globally unique identifier that represents the owner of this resource.
    OwnerUserName string
    • The userName of the owner of this resource.
    ProjectName string
    • The name of the project this resource belongs to.
    ProjectReferenceId string
    • A globally unique identifier that represents the project this resource belongs to.
    CategoryIds []string
    • A list of globally unique identifiers that represent all the categories the resource is associated with.
    OwnerReferenceId string
    • A globally unique identifier that represents the owner of this resource.
    OwnerUserName string
    • The userName of the owner of this resource.
    ProjectName string
    • The name of the project this resource belongs to.
    ProjectReferenceId string
    • A globally unique identifier that represents the project this resource belongs to.
    categoryIds List<String>
    • A list of globally unique identifiers that represent all the categories the resource is associated with.
    ownerReferenceId String
    • A globally unique identifier that represents the owner of this resource.
    ownerUserName String
    • The userName of the owner of this resource.
    projectName String
    • The name of the project this resource belongs to.
    projectReferenceId String
    • A globally unique identifier that represents the project this resource belongs to.
    categoryIds string[]
    • A list of globally unique identifiers that represent all the categories the resource is associated with.
    ownerReferenceId string
    • A globally unique identifier that represents the owner of this resource.
    ownerUserName string
    • The userName of the owner of this resource.
    projectName string
    • The name of the project this resource belongs to.
    projectReferenceId string
    • A globally unique identifier that represents the project this resource belongs to.
    category_ids Sequence[str]
    • A list of globally unique identifiers that represent all the categories the resource is associated with.
    owner_reference_id str
    • A globally unique identifier that represents the owner of this resource.
    owner_user_name str
    • The userName of the owner of this resource.
    project_name str
    • The name of the project this resource belongs to.
    project_reference_id str
    • A globally unique identifier that represents the project this resource belongs to.
    categoryIds List<String>
    • A list of globally unique identifiers that represent all the categories the resource is associated with.
    ownerReferenceId String
    • A globally unique identifier that represents the owner of this resource.
    ownerUserName String
    • The userName of the owner of this resource.
    projectName String
    • The name of the project this resource belongs to.
    projectReferenceId String
    • A globally unique identifier that represents the project this resource belongs to.

    Package Details

    Repository
    nutanix pierskarsenbarg/pulumi-nutanix
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the nutanix Terraform Provider.
    nutanix logo
    Viewing docs for Nutanix v0.13.0
    published on Tuesday, Apr 28, 2026 by Piers Karsenbarg
      Try Pulumi Cloud free. Your team will thank you.